summaryrefslogtreecommitdiffstats
path: root/games/brutalchess
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 14:28:17 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-11 14:28:17 +0200
commitd09498ad33269227694b000b534c58bbc9219aa8 (patch)
tree31a6395a6302f4db52e5c0377ef5b6231b50cdca /games/brutalchess
parentd9e95f118596642682bc4d0eba131006ecbad3e8 (diff)
downloadslackbuilds-d09498ad33269227694b000b534c58bbc9219aa8.tar.gz
slackbuilds-d09498ad33269227694b000b534c58bbc9219aa8.tar.xz
games/brutalchess: Initial import
Diffstat (limited to 'games/brutalchess')
-rw-r--r--games/brutalchess/README25
-rw-r--r--games/brutalchess/brutalchess.SlackBuild62
-rw-r--r--games/brutalchess/brutalchess.desktop8
-rw-r--r--games/brutalchess/brutalchess.info8
-rw-r--r--games/brutalchess/brutalchess.pngbin0 -> 1636 bytes
-rw-r--r--games/brutalchess/doinst.sh5
-rw-r--r--games/brutalchess/slack-desc11
7 files changed, 119 insertions, 0 deletions
diff --git a/games/brutalchess/README b/games/brutalchess/README
new file mode 100644
index 0000000000..179be05a27
--- /dev/null
+++ b/games/brutalchess/README
@@ -0,0 +1,25 @@
+This is Brutal Chess Alpha, version 0.5. Brutal Chess is a cross-platform GPL
+chess game with 3D graphics powered by OpenGL and SDL. To build Brutal Chess
+you will need SDL, SDL_Image, and FreeType. These are included with Slackware.
+
+New In This Release (0.5)
+===========================
+
+* Completely new code base
+* Menu system to replace console
+* Select pawn promotion piece through new interface
+* Variable AI difficulty
+* New loading screen
+* Shadows and other graphical tweaks
+* Full rotation of the camera
+* History arrows displaying previous move
+* MD3 (Quake 2) model support
+
+Bug Fixes (0.5.1):
+* Fixed colors of the board squares
+* Fixed bug that allowed castling when it shouldn't have been legal
+* Added proper Linux install scripts
+
+Bug Fixes (0.5.2):
+* Fixed bug that allowed white pawns being able to move backwards
+
diff --git a/games/brutalchess/brutalchess.SlackBuild b/games/brutalchess/brutalchess.SlackBuild
new file mode 100644
index 0000000000..b010060784
--- /dev/null
+++ b/games/brutalchess/brutalchess.SlackBuild
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+# Slackware build script for Brutal Chess
+# Written by Erik Hanson erik@slackbuilds.org
+
+PRGNAM=brutalchess
+VERSION=0.5.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+# Currently the filename is .tar.gz but it is really only a .tar
+# but tar does not mind so do not change this.
+tar xvf $CWD/$PRGNAM-alpha-$VERSION-src.tar.gz || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CXXFLAGS="$SLKCFLAGS" \
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --bindir=/usr/games \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find $PKG | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc
+mv $PKG/usr/share/brutalchess/doc $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Manually copy desktop file and icon
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/brutalchess.desktop $PKG/usr/share/applications
+cp $CWD/brutalchess.png $PKG/usr/share/pixmaps/brutalchess.png
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/brutalchess/brutalchess.desktop b/games/brutalchess/brutalchess.desktop
new file mode 100644
index 0000000000..0b36dfd38c
--- /dev/null
+++ b/games/brutalchess/brutalchess.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Brutal Chess
+GenericName=Chess for the Truly Hardcore
+Exec=brutalchess
+Icon=/usr/share/pixmaps/brutalchess.png
+Type=Application
+Categories=Application;Game;BoardGame
diff --git a/games/brutalchess/brutalchess.info b/games/brutalchess/brutalchess.info
new file mode 100644
index 0000000000..a6ab159380
--- /dev/null
+++ b/games/brutalchess/brutalchess.info
@@ -0,0 +1,8 @@
+PRGNAM="brutalchess"
+VERSION="0.5.2"
+HOMEPAGE="http://brutalchess.sourceforge.net/"
+DOWNLOAD="http://dl.sourceforge.net/sourceforge/brutalchess/brutalchess-alpha-0.5.2-src.tar.gz"
+MD5SUM="370476b63091b8d82a9ea57c604dcbab"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="elohim,robw810"
diff --git a/games/brutalchess/brutalchess.png b/games/brutalchess/brutalchess.png
new file mode 100644
index 0000000000..3f0987bcc9
--- /dev/null
+++ b/games/brutalchess/brutalchess.png
Binary files differ
diff --git a/games/brutalchess/doinst.sh b/games/brutalchess/doinst.sh
new file mode 100644
index 0000000000..3412314ed0
--- /dev/null
+++ b/games/brutalchess/doinst.sh
@@ -0,0 +1,5 @@
+
+if [ -x usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/games/brutalchess/slack-desc b/games/brutalchess/slack-desc
new file mode 100644
index 0000000000..1b3b843d5e
--- /dev/null
+++ b/games/brutalchess/slack-desc
@@ -0,0 +1,11 @@
+brutalchess: Brutal Chess - Chess for the Truly Hardcore
+brutalchess:
+brutalchess: Brutal Chess features full 3D graphics, an advanced particle
+brutalchess: engine, and several different levels of intelligent AI, inspired
+brutalchess: by the once popular "Battle Chess" released by Interplay circa
+brutalchess: 1988.
+brutalchess:
+brutalchess: http://brutalchess.sourceforge.net/
+brutalchess:
+brutalchess:
+brutalchess: